<ion-header>
  <ion-toolbar>
    <ion-title>Registration</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list lines="full">
    <ion-item>
      <ion-label position="floating">Name</ion-label>
      <ion-input [(ngModel)]="name" type="text" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Email</ion-label>
      <ion-input [(ngModel)]="email" type="text" required></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Password</ion-label>
      <ion-input [(ngModel)]="password" type="password" required></ion-input>
    </ion-item>
    <ion-row>
      <ion-col>
        <ion-button type="button" (click)="addUser()" color="primary" shape="full" expand="block">
          Register
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button type="button" [routerLink] = "['/login']" color="primary" shape="full" expand="block">Login</ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button type="button" [routerLink] = "['/home']" color="primary" shape="full" expand="block">Home</ion-button>
      </ion-col>
    </ion-row>
  </ion-list>
</ion-content>
